em.control {repfdr} | R Documentation

## Control Parameters for the EM algorithm

### Description

Input parameters for the EM algorithm.

### Usage

    em.control(pi.initial = NULL, max.iter = 10000, tol = 1e-12,
               nr.threads = 0, verbose = TRUE)

### Arguments

`pi.initial` | Initial guess for the probabilities of the vectors of associations status. If `NULL` then 0.9 is assigned for the `c(0,...,0)` configuration and 0.1 is distributed uniformly for all other configurations.
`max.iter` | Maximum number of EM iterations.
`tol` | Tolerance (in maximum absolute difference between two EM iterations in estimated probabilities) before declaring convergence and stopping.
`nr.threads` | Number of processing threads to use. If zero (the default), will automatically detect the number of compute cores available and spawn one thread per core.
`verbose` | An indicator of whether to report progress (running iteration number) during computation.

### Details

The function is used inside the `control` argument in `repfdr` and `piem`.

### Value

A list with the input values.

### See Also

`repfdr` `piem`

### Examples

    ## Not run:
    download.file('http://www.math.tau.ac.il/~ruheller/repfdr_RData/binned_zmat.RData',
      destfile = "binned_zmat.RData")
    load(file = "binned_zmat.RData")
    out <- repfdr(pbz,bz,"replication",
                  control = em.control(pi.initial = c(0.48,rep(0.02,26)),
                  verbose = TRUE, nr.threads = 1))
    # iterations are printed; run bit slower (1 thread)

    ## End(Not run)

[Package repfdr version 1.2.3 Index]